<?php
	/** Wyciaganie danych o cyklach zajec
	 * cykle dzielone sa na grupy:
	 * - skonczone (data_zakon)
	 * - w trakcie
	 * - nierozpoczete
	 * na ich podstawie wypisuje sie (lub nie) dane w aplikacji admina
	 * @author Maciek Osinski
	 * @version 0.2
	 * Czesciowo oparte na kodzie Darka 
	 */
	function Ad_daj_cykle () {
 		global $sess;

		$sess->del("ad_cyklzak");
		$sess->del("ad_cyklrozp");
		$sess->del("ad_cyklrozp");
		$sess->del("ad_cyklusun");
		$s = 	"SELECT kod, opis, data_od, data_do, "
			."data_zakon, status_cyklu, xp_obsluga "
			."FROM XP_CYKLE_DYDAKTYCZNE "
			."ORDER BY data_zakon DESC, data_do DESC, data_od DESC";
		$q = new CQuery($s);
		if ($q->num_rows()) {
			while ($arr = $q->fetch_array()) {
				$cykl = array();
				$cykl["opis"]=$arr["opis"];
				$cykl["data_od"]=$arr["data_od"];
				$cykl["data_do"]=$arr["data_do"];
				$cykl["data_zakon"]=$arr["data_zakon"];
				$cykl["status_cyklu"]=$arr["status_cyklu"];
				$cykl["xp_obsluga"]=$arr["xp_obsluga"];
				if ($cykl["xp_obsluga"] == 'Y') {
					if ($cykl["status_cyklu"] == 'N')
						$sess->setTab("ad_cyklzak", "$arr[kod]", $cykl);
					else if ($cykl["status_cyklu"] == 'A')
						$sess->setTab("ad_cyklrozp", "$arr[kod]", $cykl);
					else if ($cykl["status_cyklu"] == 'B')
						$sess->setTab("ad_cyklnroz", "$arr[kod]", $cykl);
				} else {
					$sess->setTab("ad_cyklusun", "$arr[kod]", $cykl);
				}
			}
		}
		$q->free();
	}
	Ad_daj_cykle();
?>
